unit rDBGridSorter_MySqlDac;

{<
  rDBGridSorter_MySqlDac unit contains TrDBGridSorter_MySqlDac - sorter for TMySQLDataset
  used by rDBGrid to sort TMySQLDataset datasets.

  See https://www.microolap.com/products/connectivity/mysqldac/

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Aug 2018)
  @lastmod(Aug 2018)
}

interface

uses
  Windows, Messages, SysUtils, Graphics, Classes, Controls, Menus, Dialogs,
  StdCtrls, Forms, DB, Variants, rDBGrid,
  mySQLDbTables;

type
  { sorter for TMySQLDataset used by rDBGrid to sort TMySQLDataset datasets }
  TrDBGridSorter_MySqlDac = class(TrDBGridCustomSorter)
  protected
    function SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string): boolean; override;
  end;

procedure Register; {< @exclude }

implementation

{$R *.res}
uses RosiCompGlobalCfg;

procedure Register;
begin
  RegisterComponents('Rosi DB', [TrDBGridSorter_MySqlDac]);
end;

function TrDBGridSorter_MySqlDac.SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string): boolean;
var
  DS: TMySQLDataset;
begin
  if (DataSet is TMySQLDataset) then
  begin
    DS:=DataSet as TMySQLDataset;
    DS.SortFieldNames:=SortString;
    Result:=true;
  end
  else
    Result:= inherited;
end;

end.
